package com.mx.dla.dda.contrato.condicionesTransaccion.dtos;

public class ContratoPtransDTO {
	private Integer idContratoPtrans;
	private Integer idContrato;
	private String tipoTrans;
	private String tipoTitulo;
	private String tipoAnnio;
	private String tipoMinimo;
	
	public ContratoPtransDTO() {
		this.idContratoPtrans=0;
		this.idContrato=0;
		this.tipoTrans="";
		this.tipoTitulo="";
		this.tipoAnnio="";
		this.tipoMinimo="";
	}
	
	public Integer getIdContratoPtrans() {
		return idContratoPtrans;
	}
	public void setIdContratoPtrans(Integer idContratoPtrans) {
		this.idContratoPtrans = idContratoPtrans;
	}
	public Integer getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Integer idContrato) {
		this.idContrato = idContrato;
	}
	
	public String getTipoTrans() {
		return tipoTrans;
	}
	public void setTipoTrans(String tipoTrans) {
		this.tipoTrans = tipoTrans;
	}
	public String getTipoTitulo() {
		return tipoTitulo;
	}
	public void setTipoTitulo(String tipoTitulo) {
		this.tipoTitulo = tipoTitulo.toUpperCase();
	}
	public String getTipoAnnio() {
		return tipoAnnio;
	}
	public void setTipoAnnio(String tipoAnnio) {
		this.tipoAnnio = tipoAnnio.toUpperCase();
	}
	public String getTipoMinimo() {
		return tipoMinimo;
	}
	public void setTipoMinimo(String tipoMinimo) {
		this.tipoMinimo = tipoMinimo;
	}
	@Override
	public String toString() {
		return "ContratoPtransDTO [idContratoPtrans=" + idContratoPtrans + ", idContrato=" + idContrato
				+ ", tipoTitulo=" + tipoTitulo + ", tipoAnnio=" + tipoAnnio + ", tipoMinimo=" + tipoMinimo + "]";
	}
	
	
}
